Subject: [bug#53818] [PATCH 2/3] import: Add 'repology' updater.

From: Xinglu Chen <[email-masked]>
Date: Sun, 06 Feb 2022 16:41:58 +0100

Maxime schrieb am Sonntag der 06. Februar 2022 um 14:23 +01:

> Xinglu Chen schreef op zo 06-02-2022 om 14:00 [+0100]:
>> +         (and=> (json-fetch url)
>
> Given that we'll be contacting 'repology' for _every_ package
> when doing "guix refresh -l", some caching seems in order.
> Could 'http-fetch/cached' be used here?  json-fetch may
> need to be modified to allow overriding the http-fetch procedure
> used.

That would be a good idea.  It seems like ‘http-fetch/cached’ doesn’t
take a #:headers argument, so it will have to be modified first.